summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-news/canto-curses
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-news/canto-curses')
-rw-r--r--net-news/canto-curses/Manifest1
-rw-r--r--net-news/canto-curses/canto-curses-0.9.3.ebuild26
-rw-r--r--net-news/canto-curses/metadata.xml11
3 files changed, 38 insertions, 0 deletions
diff --git a/net-news/canto-curses/Manifest b/net-news/canto-curses/Manifest
new file mode 100644
index 00000000000..0db5b46ff05
--- /dev/null
+++ b/net-news/canto-curses/Manifest
@@ -0,0 +1 @@
+DIST canto-curses-0.9.3.tar.gz 77748 SHA256 942828e96608a8af58cb3002ac1d50edd60697d87c3da5ce815278b27ed7707d SHA512 547061439e5d5a7f2bcb1643cc597578161f3c3c284520326fe483f79a60650e9b8b1c7cf5a5e1f165f13510e7cab893b77968b5995c66b572c0bb605b6ebaaa WHIRLPOOL 0836ff8cdd687cbf1b751507e95a409d268449ef5963340d7016362abcb31dd541bfe35c55587afeb38df2cf5b137cd57b74ef8177b5f6d50bab8e9189caef74
diff --git a/net-news/canto-curses/canto-curses-0.9.3.ebuild b/net-news/canto-curses/canto-curses-0.9.3.ebuild
new file mode 100644
index 00000000000..d31db64b077
--- /dev/null
+++ b/net-news/canto-curses/canto-curses-0.9.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python{3_3,3_4} )
+PYTHON_REQ_USE="ncurses(+),threads(+)"
+inherit distutils-r1 multilib
+
+DESCRIPTION="The ncurses client for canto-daemon"
+HOMEPAGE="http://codezen.org/canto-ng/"
+SRC_URI="http://codezen.org/static/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=net-news/canto-daemon-0.9.1[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # Respect libdir during plugins installation
+ sed -i -e "s:lib/canto:$(get_libdir)/canto:" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/net-news/canto-curses/metadata.xml b/net-news/canto-curses/metadata.xml
new file mode 100644
index 00000000000..77a4d0f1c7d
--- /dev/null
+++ b/net-news/canto-curses/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>pinkbyte@gentoo.org</email>
+ <name>Sergey Popov</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">themoken/canto-curses</remote-id>
+ </upstream>
+</pkgmetadata>